Subject: RE: [ietf-provreg] RFC updates - roid length restriction

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 29 Sep 2005 10:56:01 -0400

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Alexander Mayrhofer
> Sent: Thursday, September 29, 2005 10:28 AM
> To: [email-masked]
> Subject: [ietf-provreg] RFC updates - roid length restriction
> 
> 
> We are currently evaluating EPP to replace our email based 
> provisioning 
> system in our ccTLD registry (.at)
> 
> One of the (surprisingly few remaining) issues we encountered is that 
> handles for our contact objects extend beyond the 
> 16-character limit of EPP 
> repository object id's (we have handles like 
> "AMFR12011011-NICAT". We don't 
> want to change or even drop the suffix on our object 
> identifiers (because 
> all of our registrars would have to do the same in their 
> internal databases) 
> so our only option now seems to go for either an extension of 
> some kind, or 
> to completely replace contact & domain mapping with our local 
> mappings.
> 
> The different roid length would then be the only essential difference 
> between stock and local mappings, so we'd like to avoid that.
> 
> Questions:
> 
> - Did any other registry operators already encounter this, or 
> are we the 
> only ones who use "oversized" handles (i can't believe that)?
> - Should therefore the length restriction be extended (to eg. 
> 32 characters) 
> in the "refurbished" drafts to safely avoid such problems?
> 
> any comments appreciated.

Alex, the local part of a repository object ID (ROID) can be up to 80
characters in length.  The IANA-registered repository identifier part of
the ROID is limited to 8 characters.  Here's the regex pattern from the
schema:

<pattern value="(\w|_){1,80}-\w{1,8}"/>

If you're instead talking about the <contact:id> element (the one with a
minimum length of 3 characters and a maximum length of 16 characters),
that's intended to be a slightly more human-friendly string.  It
shouldn't necessarily map to whatever local handles you're using given
that the ROID can be used for that purpose.  Are you not using the ROID?

-Scott-